This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 782517 - Propose that you turn on PrivateTmp=true in service file for ypserv
Propose that you turn on PrivateTmp=true in service file for ypserv
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ypserv (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Honza Horak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PrivateTmp
  Show dependency treegraph
 
Reported: 2012-01-17 10:52 EST by Daniel Walsh
Modified: 2012-02-01 13:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-01 07:44:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-01-17 10:52:41 EST
I would like to propose using PrivateTmp for ypserv systemd unit file
This should make the use of /tmp directory more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Honza Horak 2012-02-01 07:44:31 EST
No binary or daemon from ypserv operates in /tmp, afaik. Closing this for now, feel free to re-open it if you wish.
Comment 2 Daniel Walsh 2012-02-01 13:53:43 EST
No problem, I will remove the SELinux policy to handle this and we will see if AVC's start happening.

Note You need to log in before you can comment on or make changes to this bug.